TextLineInfo (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene.text, record: TextLineInfo

# Record Class TextLineInfo

java.lang.Object
java.lang.Record
javafx.scene.text.TextLineInfo

Record Components:
  `start` - the start offset for the line
  `end` - the end offset for the line (index of the last character + 1)
  `bounds` - the bounds of the text line, in local coordinates:
  - `minX` - the x origin of the line (relative to the layout). The x origin is defined by TextAlignment of the text layout, always zero for left-aligned text.
  - `minY` - the ascent of the line (negative). The ascent of the line is the max ascent of all fonts in the line.
  - `width` - the width of the line. The width of the line is sum of all the run widths in the line, it is not affect by the wrapping width but it will include any changes caused by justification.
  - `height` - the height of the line. The height of the line is sum of the max ascent, max descent, and max line gap of all the fonts in the line.

public record TextLineInfo(int start, int end, Rectangle2D bounds) extends Record
Provides the information about a text line in a text layout.

Since:
  25

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextLineInfo(int start, int end, Rectangle2D bounds)`
  Creates an instance of a `TextLineInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rectangle2D`
  `bounds()`
  Returns the value of the `bounds` record component.
  `int`
  `end()`
  Returns the value of the `end` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `start()`
  Returns the value of the `start` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextLineInfo

    public TextLineInfo(int start, int end, Rectangle2D bounds)
    Creates an instance of a `TextLineInfo` record class.
    Parameters:
      `start` - the value for the `start` record component
      `end` - the value for the `end` record component
      `bounds` - the value for the `bounds` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### start

    public int start()
    Returns the value of the `start` record component.
    Returns:
      the value of the `start` record component

  - ### end

    public int end()
    Returns the value of the `end` record component.
    Returns:
      the value of the `end` record component

  - ### bounds

    public Rectangle2D bounds()
    Returns the value of the `bounds` record component.
    Returns:
      the value of the `bounds` record component